Subject: [bug#55827] [PATCH] gnu: Add kismet.

From: Maxime Devos <[email-masked]>
Date: Tue, 07 Jun 2022 10:06:30 +0200

phodina via Guix-patches via schreef op di 07-06-2022 om 07:41 [+0000]:
> +	(inputs (list openssl libpcap libusb protobuf protobuf-c
> libwebsockets sqlite zlib))
[...]
> +    (license license:gpl2+)))

libwebsockets is lgpl2.1 according to the package definition.
Its dependency openssl is asl2.0.  According to the FSF, asl2.0 and
gpl2.0 are incompatible.  So possibly asl2.0 and lgpl2.1 are
incompatible (though I haven't seen any reliable claim for
compatibility or incompatibility for _l_gpl, maybe it is compatible)
and hence libwebsockets needs to be removed from kismet and Guix.

However, according to v4.0.0 in the changelog, it is Expat (‘MIT’)
licensed, so maybe all that's needed is correcting the license
information?

Greetings,
Maxime.